<?xml version="1.0" encoding="UTF-8"?>

<!-- author hrtdotnet.jp -->
<project>
  <modelVersion>4.0.0</modelVersion>
  <groupId>jp.hrtdotnet</groupId>
  <artifactId>${hdn.name}</artifactId>
  <version>${hdn.minor.version}</version>

  <properties>
    <maven.test.skip>true</maven.test.skip>
    <maven.compile.target>1.4</maven.compile.target>
    <maven.compile.source>1.4</maven.compile.source>
    <hdn.src.format>zip</hdn.src.format>
    <hdn.jar.format>jar</hdn.jar.format>
    <hdn.name>hdnlibrary</hdn.name>
    <hdn.build.date>20110525</hdn.build.date>
    <hdn.implementation.package>jp.hrtdotnet.java</hdn.implementation.package>
    <hdn.implementation.main>jp.hrtdotnet.java.HDNLibrary</hdn.implementation.main>
    <hdn.vendar.name>hrtdotnet.jp</hdn.vendar.name>
    <hdn.vendar.url>http://www.hrtdotnet.jp/</hdn.vendar.url>
    <hdn.major.version>2.1</hdn.major.version>
    <hdn.minor.version>2.1.2</hdn.minor.version>
    <hdn.signature.version>2.1.2.0</hdn.signature.version>
  </properties>

  <!-- リポジトリへの登録 -->
  <distributionManagement>
    <repository>
      <uniqueVersion>false</uniqueVersion>
      <id>hrtdotnet.jp</id>
      <url>file:///mysrv/maven2</url>
    </repository>
    <snapshotRepository>
      <uniqueVersion>true</uniqueVersion>
      <id>hrtdotnet.jp</id>
      <url>file:///mysrv/maven2-snapshot</url>
    </snapshotRepository>
  </distributionManagement>
  <!-- リポジトリの登録 -->
  <repositories>
    <repository>
      <id>hrtdotnet.jp</id>
      <name>hdn</name>
      <url>http://www.hrtdotnet.org/maven2</url>
    </repository>
  </repositories>

  <build>
    <plugins>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-compiler-plugin</artifactId>
        <configuration>
          <source>${maven.compile.source}</source>
          <target>${maven.compile.target}</target>
        </configuration>
      </plugin>

      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-jar-plugin</artifactId>
        <configuration>
          <archive>
            <manifest>
              <mainClass>${hdn.implementation.main}</mainClass>
              <addClasspath>false</addClasspath>
            </manifest>
            <manifestEntries>
              <Signature-Version>${hdn.signature.version}</Signature-Version>
              <Author>${hdn.vendar.name}</Author>
              <Extension-Name>${hdn.name}</Extension-Name>
              <Specification-Title>${hdn.name}</Specification-Title>
              <Specification-Vendor>${hdn.vendar.name}</Specification-Vendor>
              <Specification-Version>${hdn.major.version}</Specification-Version>
              <Implementation-Title>${hdn.implementation.package}</Implementation-Title>
              <Implementation-Vendor>${hdn.vendar.name}</Implementation-Vendor>
              <Implementation-Version>${hdn.minor.version}</Implementation-Version>
              <Implementation-URL>${hdn.vendar.url}</Implementation-URL>
              <X-Compile-Source-JDK>${maven.compile.source}</X-Compile-Source-JDK>
              <X-Compile-Target-JDK>${maven.compile.target}</X-Compile-Target-JDK>
            </manifestEntries>
          </archive>
        </configuration>
      </plugin>

      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-antrun-plugin</artifactId>
        <configuration>
          <tasks>
            <move file="${project.build.directory}/${hdn.name}-${hdn.minor.version}-all.zip"
             tofile="${project.build.directory}/${hdn.name}-${hdn.minor.version}-${hdn.build.date}.zip" />
          </tasks>
        </configuration>
      </plugin>

      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-assembly-plugin</artifactId>
        <configuration>
          <descriptors>
            <descriptor>src/main/assembly/bin.xml</descriptor>
            <descriptor>src/main/assembly/src.xml</descriptor>
            <descriptor>src/main/assembly/all.xml</descriptor>
          </descriptors>
<!--
          <archive>
            <manifestFile>${basedir}/src/main/assembly/MANIFEST.MF</manifestFile>
          </archive>          
-->
        </configuration>
      </plugin>

      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-javadoc-plugin</artifactId>
        <configuration>
          <source>1.4</source>
          <version>1.1</version>
          <encoding>MS932</encoding>
          <docencoding>Shift_JIS</docencoding>
          <charset>Shift_JIS</charset>
          <locales>ja</locales>
        </configuration>
      </plugin>

      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-source-plugin</artifactId>
        <executions>
          <execution>
            <phase>package</phase>
            <goals>
              <goal>jar</goal>
            </goals>
          </execution>
        </executions>
      </plugin>

    </plugins>
  </build>

  <description></description>
  <dependencies>
    <dependency>
      <groupId>junit</groupId>
      <artifactId>junit</artifactId>
      <version>3.8.1</version>
      <scope>test</scope>
    </dependency>
  </dependencies>
  
</project>